Bug 814534 - [FEAT] Need cleaner way to do handshake during 'peer probe'
[FEAT] Need cleaner way to do handshake during 'peer probe'
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks: 895528
  Show dependency treegraph
 
Reported: 2012-04-20 01:21 EDT by Amar Tumballi
Modified: 2013-12-18 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:19:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-04-20 01:21:34 EDT
Description of problem:
Need a 'operating-version' handshake during 'peer probe'.


Additional info:

At any given time, the whole cluster should work in one 'operating-version'.
Comment 1 Amar Tumballi 2012-05-16 06:39:19 EDT
Not completely decided about the fix. This is lot of change, and not sure if it makes sense to bring it in now.
Comment 2 Kaushal 2012-10-10 03:26:42 EDT
Patches are under review at
http://review.gluster.org/3688 (op-version handshake implementation only)
http://review.gluster.org/3780 ('volume set' changes required for op-version)
Comment 3 Vijay Bellur 2012-10-30 13:19:10 EDT
CHANGE: http://review.gluster.org/3688 (glusterd: op-version handshake implementation) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 4 Vijay Bellur 2012-10-31 05:35:55 EDT
CHANGE: http://review.gluster.org/3780 (glusterd: 'volume set' changes for op-version support) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 5 Vijay Bellur 2012-11-13 03:08:18 EST
CHANGE: http://review.gluster.org/4155 (glusterd: Add missing options to vme table.) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 6 Anand Avati 2013-07-30 13:58:06 EDT
REVIEW: http://review.gluster.org/5436 (mgmt/glusterd: Fix a minor typo.) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 7 Anand Avati 2013-07-31 06:40:53 EDT
COMMIT: http://review.gluster.org/5436 committed in master by Anand Avati (avati@redhat.com) 
------
commit fd9a9ad14ba0abba907cbf52c51ee17738014232
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Tue Jul 30 23:22:24 2013 +0530

    mgmt/glusterd: Fix a minor typo.
    
    Thanks to Patrick Matthäi <pmatthaei@debian.org> for the patch.
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    
    Change-Id: I59da74298894ccc2ab30967ffe44cc844aa73f82
    BUG: 814534
    Reviewed-on: http://review.gluster.org/5436
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Tested-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.